# yes
when:
  branch: ["dev", "stable"]
  event: ["push", "manual"]
steps:
  - name: build
    image: woodpeckerci/plugin-docker-buildx
    secrets: [gitpat]
    settings:
      repo: git.iwakura.rip/hex/jabe
      platforms: linux/amd64
      dockerfile: Dockerfile
      tags:
        ["${CI_COMMIT_BRANCH}-latest", "${CI_COMMIT_BRANCH}-${CI_COMMIT_SHA}"]
      username: hex
      registry:
        git.iwakura.rip
        #insecure: true
      password:
        from_secret: gitpat
